<!DOCTYPE html>
<html>
<head>
  <title>Spring context</title>
  <meta charset="utf-8">
  <style>
    @import url(https://fonts.googleapis.com/css?family=Open+Sans+Condensed:300,700);
    @import url(https://fonts.googleapis.com/css?family=Ubuntu+Mono:400,700,400italic);

    body {
      font-family: sans-serif;
    }
    h1, h2, h3 {
      font-family: 'Open Sans Condensed', sans-serif;
      font-weight: bold;
    }
    .remark-slide-content {
    }
    .remark-code {
      font-family: 'Ubuntu Mono';
    }
    .remark-inline-code {
      font-family: 'Ubuntu Mono';
    }
  </style>
</head>
<body>
<textarea id="source" style="display: none"></textarea>
<script src="js/remark-latest.min.js">
</script>
<script>
  // Načtení dokumentu
  var source = document.getElementById("source");
  var xmlhttp = new XMLHttpRequest();
  xmlhttp.open('GET', 'readme.md', false);
  xmlhttp.send();
  source.innerHTML = xmlhttp.responseText
          .replace(/\[remark\]\s*:\s*<name>\s*\((.*)\)/g, "name: url($1)") // nastaveni pozadi
          .replace(/\[remark\]\s*:\s*<class>\s*\((.*)\)/g, "class: $1") // vlozeni class znacek
          .replace(/\[remark\]\s*:\s*<slide>\s*\(new\)/g, "\n---")      // vlozeni noveho slidu
          .replace(/\[remark\]\s*:\s*<slide>\s*\(wait\)/g, "--\ncount:false") // dalsi polozka na kliknuti
          .replace(/\[remark\]\s*:\s*<background>\s*\((.*)\)/g, "background-image: url($1)") // nastaveni pozadi
          .replace(/#+\sNotes/g, "???") // Skrýt poznámky  prezentace
  ;
  console.log(source.innerHTML);
  var slideshow = remark.create({
    highlightLines: true
  });
</script>
</body>
</html>